Bug 1178062 - [abrt] gtorrentviewer: mainwindow_fill_trackers_tab(): gtorrentviewer killed by SIGSEGV
Summary: [abrt] gtorrentviewer: mainwindow_fill_trackers_tab(): gtorrentviewer killed ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gtorrentviewer
Version: 20
Hardware: All
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:27e451a6e14b2d569f18bf1abe4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-01 23:27 UTC by Lacrocivious Acrophosist
Modified: 2015-01-27 18:39 UTC (History)
1 user (show)

Fixed In Version: gtorrentviewer-0.2b-31.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-27 02:56:15 UTC


Attachments (Terms of Use)
File: backtrace (16.87 KB, text/plain)
2015-01-01 23:27 UTC, Lacrocivious Acrophosist
no flags Details
File: cgroup (180 bytes, text/plain)
2015-01-01 23:27 UTC, Lacrocivious Acrophosist
no flags Details
File: core_backtrace (5.10 KB, text/plain)
2015-01-01 23:27 UTC, Lacrocivious Acrophosist
no flags Details
File: dso_list (8.22 KB, text/plain)
2015-01-01 23:27 UTC, Lacrocivious Acrophosist
no flags Details
File: environ (2.00 KB, text/plain)
2015-01-01 23:27 UTC, Lacrocivious Acrophosist
no flags Details
File: exploitable (82 bytes, text/plain)
2015-01-01 23:27 UTC, Lacrocivious Acrophosist
no flags Details
File: limits (1.29 KB, text/plain)
2015-01-01 23:28 UTC, Lacrocivious Acrophosist
no flags Details
File: maps (46.32 KB, text/plain)
2015-01-01 23:28 UTC, Lacrocivious Acrophosist
no flags Details
File: open_fds (328 bytes, text/plain)
2015-01-01 23:28 UTC, Lacrocivious Acrophosist
no flags Details
File: proc_pid_status (950 bytes, text/plain)
2015-01-01 23:28 UTC, Lacrocivious Acrophosist
no flags Details
File: var_log_messages (364 bytes, text/plain)
2015-01-01 23:28 UTC, Lacrocivious Acrophosist
no flags Details

Description Lacrocivious Acrophosist 2015-01-01 23:27:33 UTC
Description of problem:
Created a new torrent but didn't include a tracker, which probably is a factor in the crash.
Torrent created with Transmission-Qt GUI client built from svn trunk (build 14425)

Version-Release number of selected component:
gtorrentviewer-0.2b-27.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/gtorrentviewer /pub/piriguete05/isos/name-of-the-torrent.torrent
crash_function: mainwindow_fill_trackers_tab
executable:     /usr/bin/gtorrentviewer
kernel:         3.17.7-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (2 frames)
 #0 mainwindow_fill_trackers_tab at mainwindow.c:426
 #1 open_torrent_file at main.c:274

Comment 1 Lacrocivious Acrophosist 2015-01-01 23:27:38 UTC
Created attachment 975107 [details]
File: backtrace

Comment 2 Lacrocivious Acrophosist 2015-01-01 23:27:43 UTC
Created attachment 975108 [details]
File: cgroup

Comment 3 Lacrocivious Acrophosist 2015-01-01 23:27:48 UTC
Created attachment 975109 [details]
File: core_backtrace

Comment 4 Lacrocivious Acrophosist 2015-01-01 23:27:53 UTC
Created attachment 975110 [details]
File: dso_list

Comment 5 Lacrocivious Acrophosist 2015-01-01 23:27:55 UTC
Created attachment 975111 [details]
File: environ

Comment 6 Lacrocivious Acrophosist 2015-01-01 23:27:57 UTC
Created attachment 975112 [details]
File: exploitable

Comment 7 Lacrocivious Acrophosist 2015-01-01 23:28:01 UTC
Created attachment 975113 [details]
File: limits

Comment 8 Lacrocivious Acrophosist 2015-01-01 23:28:05 UTC
Created attachment 975114 [details]
File: maps

Comment 9 Lacrocivious Acrophosist 2015-01-01 23:28:06 UTC
Created attachment 975115 [details]
File: open_fds

Comment 10 Lacrocivious Acrophosist 2015-01-01 23:28:07 UTC
Created attachment 975116 [details]
File: proc_pid_status

Comment 11 Lacrocivious Acrophosist 2015-01-01 23:28:09 UTC
Created attachment 975117 [details]
File: var_log_messages

Comment 12 Paul Howarth 2015-01-02 09:57:13 UTC
If you use gtorrentviewer with the same torrent file again, does it crash again?

Comment 13 Lacrocivious Acrophosist 2015-01-02 19:20:32 UTC
(In reply to Paul Howarth from comment #12)
> If you use gtorrentviewer with the same torrent file again, does it crash
> again?

Affirmative. Each of several attempts brought up abrt with the same results. I remade the torrent using the exact same source and procedure except this time I added a tracker, and that torrent opens in gtorrentviewer without any problem.

After receiving your question I recreated the exact same torrent again, twice. The first was without any tracker listed. The second was with a tracker listed.

As before, gtorrentviewer segfaults when trying to open the .torrent file without any tracker listed in it. As before, gtorrentviewer has no problems with the .torrent file of the exact same files but which does have a tracker listed.

abrt-server recognizes the sameness of the segfault because it deletes the /var/tmp/abrt/ file as a duplicate of the one preceding it with the same error, each time the trackerless .torrent file load is attempted.

Below is the (edited, truncated) output of transmission-show for the two respective .torrent files:

_________________________

[13:56:14][username@piriguete:/pub/piriguete05/isos]
$ transmission-show name-of-the-torrent.torrent 
Name: name-of-the-torrent
File: name-of-the-torrent.torrent

GENERAL

  Name: name-of-the-torrent
  Hash: 9eff1f23d6a18963555f319cdef7e571aad9c6a7
  Created by: Transmission/2.84+ (14425)
  Created on: Fri Jan  2 13:53:40 2015
  Comment: gtorrentviewer test
  Piece Count: 4549
  Piece Size: 2.00 MiB
  Total Size: 9.54 GB
  Privacy: Private torrent

TRACKERS

FILES

  name-of-the-torrent/files-in-the-torrent-.jpg (146.4 kB)
  name-of-the-torrent/files-in-the-torrent-100.jpeg (78.38 kB)
  ...
  name-of-the-torrent/files-in-the-torrent-99.jpeg (115.1 kB)
  name-of-the-torrent/files-in-the-torrent-99.wmv (123.6 MB)

________________________

[13:56:22][username@piriguete:/pub/piriguete05/isos]
$ transmission-show name-of-the-torrent-with-tracker.torrent 
Name: name-of-the-torrent-with-tracker
File: name-of-the-torrent-with-tracker.torrent

GENERAL

  Name: name-of-the-torrent-with-tracker
  Hash: 9eff1f23d6a18963555f319cdef7e571aad9c6a7
  Created by: Transmission/2.84+ (14425)
  Created on: Fri Jan  2 13:59:57 2015
  Comment: gtorrentviewer-test-with-tracker
  Piece Count: 4549
  Piece Size: 2.00 MiB
  Total Size: 9.54 GB
  Privacy: Private torrent

TRACKERS

  Tier #1
  https://not.a.real.tracker.net:6969/announce

FILES

  name-of-the-torrent-with-tracker/files-in-the-torrent-.jpg (146.4 kB)
  name-of-the-torrent-with-tracker/files-in-the-torrent-100.jpeg (78.38 kB)
  ...
  name-of-the-torrent-with-tracker/files-in-the-torrent-99.jpeg (115.1 kB)
  name-of-the-torrent-with-tracker/files-in-the-torrent-99.wmv (123.6 MB)
_________________________

Comment 14 Paul Howarth 2015-01-16 16:47:00 UTC
Thanks for the report and the details of how to reproduce. A fix is on the way.

Comment 15 Fedora Update System 2015-01-16 18:22:07 UTC
gtorrentviewer-0.2b-31.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gtorrentviewer-0.2b-31.fc20

Comment 16 Fedora Update System 2015-01-16 18:22:12 UTC
gtorrentviewer-0.2b-31.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gtorrentviewer-0.2b-31.fc21

Comment 17 Fedora Update System 2015-01-17 05:47:27 UTC
Package gtorrentviewer-0.2b-31.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gtorrentviewer-0.2b-31.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-0819/gtorrentviewer-0.2b-31.fc20
then log in and leave karma (feedback).

Comment 18 Fedora Update System 2015-01-27 02:56:15 UTC
gtorrentviewer-0.2b-31.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-01-27 03:01:32 UTC
gtorrentviewer-0.2b-31.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Lacrocivious Acrophosist 2015-01-27 18:39:45 UTC
Tested updated version gtorrentviewer.x86_64 0:0.2b-31.fc20 on the same torrent files that previously caused crash.

The fix works fine; absence of any tracker no longer crashes gtorrentviewer.

Thank you very much for the fix ;-)


Note You need to log in before you can comment on or make changes to this bug.